package com.chelvc.cloud.admin.controller;
import com.chelvc.cloud.vehicle.api.dto.OmsOrderDTO;
import com.chelvc.cloud.vehicle.api.param.OrderPagingParam;
import com.chelvc.cloud.vehicle.api.service.IOmsOrderService;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import com.chelvc.framework.common.model.Pagination;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;
import javax.validation.Valid;

/**
 * 订单接口
 *
 * @author liude
 * @Date 2023/11/29
 **/
@Validated
@RestController
@ResponseWrapping
public class OrderController {
    @DubboReference
    private IOmsOrderService orderService;

    /**
     * 查询订单分页
     *
     * @param param 查询参数
     * @return 订单分页信息
     */
    @GetMapping("/order/paging")
    public Pagination<OmsOrderDTO> getOrderPaging(@Valid OrderPagingParam param) {
        return this.orderService.getOmsOrderPaging(param);
    }
}
