package com.chelvc.cloud.admin.controller;

import com.chelvc.cloud.vehicle.api.dto.ReservationDTO;
import com.chelvc.cloud.vehicle.api.param.ReservationPagingParam;
import com.chelvc.cloud.vehicle.api.service.ReservationService;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import com.chelvc.framework.common.model.Pagination;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * 预约管理接口
 *
 * @author liude
 * @Date 2023/1/19
 **/
@Validated
@RestController
@ResponseWrapping
public class ReservationController {
    @DubboReference
    private ReservationService reservationService;

    /**
     * 查询预约管理分页
     *
     * @param param 查询参数
     * @return 预约管理分页信息
     */
    @GetMapping("/reservation/paging")
    public Pagination<ReservationDTO> getReservationPaging(@Valid ReservationPagingParam param) {
        return this.reservationService.getReservationPaging(param);
    }
}
