package com.chelvc.cloud.admin.controller;

import com.chelvc.cloud.admin.copier.UserCopier;
import com.chelvc.cloud.admin.vo.PersonalVO;
import com.chelvc.cloud.uc.api.service.UserService;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 用户接口
 *
 * @author Woody
 * @date 2023/4/30
 */
@Validated
@RestController
@ResponseWrapping
public class UserController {
    @DubboReference
    private UserService userService;

    /**
     * 获取个人信息
     *
     * @return 用户信息
     */
    @GetMapping("/user/mine")
    public PersonalVO getPersonal() {
        return UserCopier.INSTANCE.copying(this.userService.getPersonal());
    }
}
