package com.chelvc.cloud.admin.copier;

import com.chelvc.cloud.admin.vo.PersonalVO;
import com.chelvc.cloud.uc.api.dto.UserPersonalDTO;
import org.mapstruct.Builder;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

/**
 * 用户对象拷贝接口
 *
 * @author qizai
 * @Date 2023/9/8
 **/
@Mapper(builder = @Builder(disableBuilder = true))
public interface UserCopier {
    /**
     * 对象拷贝接口实例
     */
    UserCopier INSTANCE = Mappers.getMapper(UserCopier.class);

    /**
     * 用户个人信息拷贝
     *
     * @param personal 用户个人信息
     * @return 用户个人信息
     */
    @Mappings({
            @Mapping(source = "nickname", target = "name")
    })
    PersonalVO copying(UserPersonalDTO personal);
}
