package com.chelvc.cloud.admin.param;

import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Pattern;

import com.chelvc.framework.common.util.StringUtils;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 手机号参数
 *
 * @author Woody
 * @date 2021/11/23
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class MobileParam implements Serializable {
    /**
     * 手机号
     */
    @NotEmpty(message = "手机号不能为空")
    @Pattern(regexp = StringUtils.MOBILE_REGEX, message = "手机号格式不正确")
    private String mobile;
}
