package com.chelvc.cloud.admin.vo;

import java.io.Serializable;
import java.util.List;

import com.chelvc.framework.common.model.Tree;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

/**
 * 个人信息
 *
 * @author Woody
 * @date 2021/11/1
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class PersonalVO implements Serializable {
    /**
     * 用户ID
     */
    private Long id;

    /**
     * 用户名称
     */
    private String name;

    /**
     * 是否是超级管理员
     */
    private boolean administrator;

    /**
     * 角色列表
     */
    private List<RoleVO> roles;

    /**
     * 菜单列表
     */
    private List<MenuVO> menus;

    /**
     * 角色信息
     */
    @Data
    @SuperBuilder
    @NoArgsConstructor
    @AllArgsConstructor
    public static class RoleVO implements Serializable {
        /**
         * 角色编号
         */
        private String code;

        /**
         * 角色名称
         */
        private String name;
    }

    /**
     * 组织信息
     */
    @Data
    @SuperBuilder
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString(callSuper = true)
    @EqualsAndHashCode(callSuper = true)
    public static class MenuVO extends Tree.Simple<Long, MenuVO> {
        /**
         * 菜单名称
         */
        private String name;

        /**
         * 菜单图标
         */
        private String icon;

        /**
         * 菜单路径
         */
        private String path;
    }
}
